diff --git a/_ci/functions.sh b/_ci/functions.sh
index 62dcf54217cc96431c6e73a19a19eb0ef41c737d..9c2fcddfc02d44941ce5704b437868b937ee08a2 100644
--- a/_ci/functions.sh
+++ b/_ci/functions.sh
@@ -4,6 +4,11 @@
 # Build utilities
 SCRIPTS_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
 
+# Determines the operating system we're using
+osname() {
+  [[ "$(uname -s)" == "Darwin" ]] && echo "osx" || echo "linux"
+}
+
 # datetime prefix for logging
 log_datetime() {
 	echo "($(date +%T.%3N))"